<template>
<v-container>
    <v-row align="center" justify="center">
    <v-card
    elevation="10"
  outlined class="pa-5">
  <v-form @submit.prevent="login">
        <v-card-title class="justify-center">Login</v-card-title>
        <v-col>
        <v-text-field label="username" v-model="username"></v-text-field>
        </v-col>
        <v-col>
        <v-text-field label="password" type="password" v-model="password"></v-text-field>
        </v-col>
        <v-row justify="center">
        <v-btn type="submit"> Login</v-btn> 
        </v-row>
        </v-form>
        </v-card>
        </v-row>
    </v-container>
</template>

<script>
import UserService from "@/services/UserService"
export default {
    name:'Login',
    data:()=>({
        username:'',
        password:'',
        loggedIn: localStorage.getItem('loggedIn') || null
    }),
    beforeMount(){
                this.goToFloors()
    },
    methods:{
        login(){
            UserService.getByNameAndPassword(this.username,this.password).then((users)=>{
                if(users.data.length==1){
                        localStorage.setItem('loggedIn',true)
                        localStorage.setItem('userType',users.data[0].userType)
                        this.loggedIn=true
                        this.goToFloors()
                }
            });
        },
        goToFloors(){
            if(this.loggedIn==true){
            this.$router.push({ name: "Floors"})
            }
        }
    }
}
</script>